<tr>
  <th scope="row"><a href="{% url 'get_app' identifier=application.identifier %}">{{ application.descriptive_name }}</a></th>
  <td>{% if application.deployment %}{{ application.deployment.get_state }}{% else %}None{% endif %}</td>
  <td>{% if application.deployment.state == 2 %}<a href="{{ application.get_url }}" target="_blank">{{ application.get_url }}</a>{% else %}None{% endif %}</td>
  <td>
    {{ role|capfirst }}
    {% if role == 'owner' %}
      <i class="fa-solid fa-crown ms-1 text-warning"></i>
    {% elif role == 'editor' %}
      <i class="fa-solid fa-pen ms-1 text-success"></i>
    {% else %}
      <i class="fa-solid fa-eye ms-1 text-secondary"></i>
    {% endif %}
  </td>
  <td>{{ application.last_updated }}</td>
</tr>
